/**
 * 协议管理页面 API
 */
import request from '@/utils/request'

/** 新增协议 */
export const addProtocolApi = (data) => {
    return request.post('/base/agreement/add', data)
}
/** 删除协议 */
export const deleteProtocolApi = (id) => {
    return request.delete(`/base/agreement/${id}`)
}
/** 修改协议 */
export const editProtocolApi = (data) => {
    return request.put('/base/agreement/update', data)
}
/** 协议列表查询 */
export const queryProtocolListApi = (data) => {
    return request.get('/base/agreement/getAgreementList', {
      params: data
    })
}
/** 查询租赁单位树 */
export const queryleaseUnitApi = (data) => {
  return request.get('/base/customer/customerTree', {
    params: data
  })
}
/** 查询租赁单位树 */
export const queryleaseProjApi = (data) => {
  return request.get('/base/customer/projectTree', {
    params: data
  })
}
